Token for Credit card

Token generation for a credit card is a process of creating a unique identifier for a credit card that is used to securely store and transmit the card information for future transactions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request:

{
   
    "Card": {
        "number": "5146312620000045",
        "expiration_date": "0424"
    
}
   
}
{
    "check": {
        "aba_code": "056008849",
        "account_number": "35345345300",
        "account_type": "Savings"
    }
}

Sample Response:

{
  "result_code": 1,
  "result_text": "Token information added",
  "result_sub_code": "3000",
  "transaction_datetime": "20230518T114945Z",
  "account_data": {
    "token": "128271cc26064b97b871846552a36684",
    "last4": "0045",
    "expiration_date": "0424",
    "account_type": "MC",
    "account": "CC",
    "first4": "5146"
  }
}
{
  "result_code": 1,
  "result_text": "Token information added",
  "result_sub_code": "3000",
  "transaction_datetime": "20230518T115042Z",
  "account_data": {
    "token": "60cf11c17fbd4701b578aad932ffdf44",
    "last4": "5300",
    "expiration_date": "",
    "account_type": "Savings",
    "account": "ACH",
    "first4": "3534"
  }
}

📘

Along with Card token Nilon also provides the feature for temporary token called Payment Token.

Payment token is a one-time token generated by Nilon against the credit card number provided by the customer during the payment process. This token can be used to perform a single transaction, and is a secure way of transmitting payment information without exposing the actual credit card number to potential security threats.

Payment Token

Body Params
card
object
Headers
string
Defaults to 1456A74D-F810-43DA-BB9C-8DDAB54B93F5
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json